## com.saxonica.schema.sdoc
Class FnNamespaceSchema

    java.lang.Object
      com.saxonica.schema.sdoc.FnNamespaceSchema

    public class FnNamespaceSchema

extends Object

This module constructs synthetically (that is, without reading an XML schema document) the schema components for the FN namespace: that is, the schema for the result document of the fn:analyze-string instruction introduced in XQuery 1.1

Constructor Summary
`FnNamespaceSchema()`

Method Summary
`static PreparedSchema` `buildSchema(EnterpriseConfiguration config)` Build the schema components for the FN namespace

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FnNamespaceSchema

    public FnNamespaceSchema()

Method Detail

### buildSchema

    public static PreparedSchema buildSchema(EnterpriseConfiguration config)

  Build the schema components for the FN namespace

  Parameters:
    `config` - the Saxon configuration
  Returns:
    a PreparedSchema containing the schema components for the XML namespace

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.